tigase.server.monitor

## Class MonitorRuntime

- java.lang.Object
- - tigase.sys.TigaseRuntime
  - - tigase.server.monitor.MonitorRuntime

-     public class MonitorRuntime
      extends TigaseRuntime

  Created: Feb 19, 2009 12:31:14 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.sys.TigaseRuntime

      `HOUR, MINUTE, SECOND`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCPULoadListener(CPULoadListener cpuListener)` Method description
    `void` | `addMemoryChangeListener(MemoryChangeListener memListener)` Method description
    `void` | `addOnlineJidsReporter(OnlineJidsReporter onlineReporter)` Method description
    `void` | `addShutdownHook(ShutdownHook hook)` Method description
    `tigase.xmpp.JID[]` | `getConnectionIdsForJid(tigase.xmpp.JID jid)` Method description
    `static MonitorRuntime` | `getMonitorRuntime()`
    `boolean` | `hasCompleteJidsInfo()` Method description
    `boolean` | `isJidOnline(tigase.xmpp.JID jid)` Method description
    `boolean` | `isJidOnlineLocally(tigase.xmpp.BareJID jid)`
    `boolean` | `isJidOnlineLocally(tigase.xmpp.JID jid)`

    - ### Methods inherited from class tigase.sys.TigaseRuntime

      `getCPUsNumber, getCPUState, getCPUUsage, getDirectMemUsed, getHeapMemMax, getHeapMemUsage, getHeapMemUsed, getLoadAverage, getMemoryState, getNonHeapMemMax, getNonHeapMemUsage, getNonHeapMemUsed, getProcessCPUTime, getThreadsNumber, getTigaseRuntime, getUptime, getUptimeString, shutdownTigase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMonitorRuntime

          public static MonitorRuntime getMonitorRuntime()

    - #### addShutdownHook

          public void addShutdownHook(ShutdownHook hook)

      Description copied from class: `TigaseRuntime`
      Method description
      Specified by:
        `addShutdownHook` in class `TigaseRuntime`
      Parameters:
        `hook` - is a `ShutdownHook`

    - #### addMemoryChangeListener

          public void addMemoryChangeListener(MemoryChangeListener memListener)

      Description copied from class: `TigaseRuntime`
      Method description
      Specified by:
        `addMemoryChangeListener` in class `TigaseRuntime`
      Parameters:
        `memListener` - is a `MemoryChangeListener`

    - #### addCPULoadListener

          public void addCPULoadListener(CPULoadListener cpuListener)

      Description copied from class: `TigaseRuntime`
      Method description
      Specified by:
        `addCPULoadListener` in class `TigaseRuntime`
      Parameters:
        `cpuListener` - is a `CPULoadListener`

    - #### addOnlineJidsReporter

          public void addOnlineJidsReporter(OnlineJidsReporter onlineReporter)

      Description copied from class: `TigaseRuntime`
      Method description
      Specified by:
        `addOnlineJidsReporter` in class `TigaseRuntime`
      Parameters:
        `onlineReporter` - is a `OnlineJidsReporter`

    - #### hasCompleteJidsInfo

          public boolean hasCompleteJidsInfo()

      Description copied from class: `TigaseRuntime`
      Method description
      Specified by:
        `hasCompleteJidsInfo` in class `TigaseRuntime`
      Returns:
        a value of `boolean`

    - #### isJidOnline

          public boolean isJidOnline(tigase.xmpp.JID jid)

      Description copied from class: `TigaseRuntime`
      Method description
      Specified by:
        `isJidOnline` in class `TigaseRuntime`
      Parameters:
        `jid` - is a `JID`
      Returns:
        a value of `boolean`

    - #### isJidOnlineLocally

          public boolean isJidOnlineLocally(tigase.xmpp.BareJID jid)

      Specified by:
        `isJidOnlineLocally` in class `TigaseRuntime`

    - #### isJidOnlineLocally

          public boolean isJidOnlineLocally(tigase.xmpp.JID jid)

      Specified by:
        `isJidOnlineLocally` in class `TigaseRuntime`

    - #### getConnectionIdsForJid

          public tigase.xmpp.JID[] getConnectionIdsForJid(tigase.xmpp.JID jid)

      Description copied from class: `TigaseRuntime`
      Method description
      Specified by:
        `getConnectionIdsForJid` in class `TigaseRuntime`
      Parameters:
        `jid` - is a `JID`
      Returns:
        a value of `JID[]`

Copyright © 2016 "Tigase, Inc.". All rights reserved.